using NamedTrajectories
using QuantumCollocation
using IterativeLearningControl

data = load_problem("examples/data/single_qubit/Y_gate_T_100_Q_100.0_R_0.01_R_smoothness_0.001_iter_10000_fidelity_0.9999997188819991_00000.jld2")

ψ_init = [1, 0]

g(Ũ⃗::AbstractVector) = populations(iso_vec_to_operator(Ũ⃗) * ψ_init)

Z_goal = data["trajectory"]
